pcl::PointNormal Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, together with normal coordinates and the surface curvature estimate. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointNormal:

## Public Member Functions

| PointNormal (const _PointNormal &p)
| PointNormal ()

## Friends

std::ostream & | operator<< (std::ostream &os, const PointNormal &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointNormal
| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
float curvature
} |
float data_c [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, together with normal coordinates and the surface curvature estimate.

(SSE friendly)

Definition at line 858 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointNormal() [1/2]

pcl::PointNormal::PointNormal | ( | const _PointNormal & | p | ) |

inline

Definition at line 860 of file point_types.hpp.

References pcl::_PointNormal::curvature.

## PointNormal() [2/2]

pcl::PointNormal::PointNormal | ( |  | ) |

inline

Definition at line 867 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointNormal & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp